Bug 55057 - [PATCH] patch for missing function Hex2Dec
Summary: [PATCH] patch for missing function Hex2Dec
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: POI Overall (show other bugs)
Version: 3.10-dev
Hardware: PC All
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-04 19:51 UTC by Cédric Walter
Modified: 2013-10-11 19:06 UTC (History)
0 users



Attachments
Hex2DecFunctionTestCaseData.xls (28.00 KB, application/vnd.ms-excel)
2013-06-04 19:51 UTC, Cédric Walter
Details
hex2dec patch (6.29 KB, patch)
2013-06-04 19:52 UTC, Cédric Walter
Details | Diff
Hex2Dec missing apache header in previous patch (7.24 KB, patch)
2013-06-04 20:30 UTC, Cédric Walter
Details | Diff
Add additional sanity check/integration test FormulaEvalTestData.xls (166.00 KB, application/vnd.ms-excel)
2013-06-17 20:25 UTC, Cédric Walter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cédric Walter 2013-06-04 19:51:26 UTC
Created attachment 30388 [details]
Hex2DecFunctionTestCaseData.xls

Converts a hexadecimal number to decimal.
Number cannot contain more than 10 characters (40 bits). The most significant bit of number is the sign bit. The remaining 39 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

If number is not a valid hexadecimal number, HEX2DEC returns the #NUM! error value.
Comment 1 Cédric Walter 2013-06-04 19:52:02 UTC
Created attachment 30389 [details]
hex2dec  patch
Comment 2 Cédric Walter 2013-06-04 20:30:13 UTC
Created attachment 30390 [details]
Hex2Dec missing apache header in previous patch
Comment 3 Cédric Walter 2013-06-17 20:25:23 UTC
Created attachment 30456 [details]
Add additional sanity check/integration test FormulaEvalTestData.xls
Comment 4 Cédric Walter 2013-10-11 19:06:50 UTC
merged in r1531393